#
# spec file for package python-dictdiffer
#
# Copyright (c) 2024 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%{?sle15_python_module_pythons}
Name:           python-dictdiffer
VCS: https://src.suse.de/SLFO-pool/python-dictdiffer#0d49e8a218d4128c14377a91174eceb8ae274db8867d9c0f7cac6d6bd786b395
Version:        0.9.0
Release:        160000.1.4
Summary:        Dictdiffer is a library that helps you to diff and patch dictionaries
License:        MIT
URL:            https://github.com/inveniosoftware/dictdiffer
Source:         https://files.pythonhosted.org/packages/source/d/dictdiffer/dictdiffer-%{version}.tar.gz
Patch0:         lower-reqs.diff
BuildRequires:  %{python_module pip}
BuildRequires:  %{python_module setuptools_scm >= 1.15.0}
BuildRequires:  %{python_module wheel}
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
Suggests:       python-numpy >= 1.11.0
BuildArch:      noarch
# SECTION test requirements
BuildRequires:  %{python_module pytest >= 2.8.0}
# /SECTION
%python_subpackages

%description
Dictdiffer is a library that helps you to diff and patch dictionaries.

%prep
%autosetup -p1 -n dictdiffer-%{version}
# Remove dependence on unnecessary pytest plugins
rm pytest.ini
# https://github.com/inveniosoftware/dictdiffer/issues/167
sed -i '/pytest-runner/d' setup.py

%build
%pyproject_wheel

%install
%pyproject_install
%python_expand %fdupes %{buildroot}%{$python_sitelib}

%check
%pytest

%files %{python_files}
%doc AUTHORS CHANGES README.rst
%license LICENSE
%{python_sitelib}/dictdiffer
%{python_sitelib}/dictdiffer-%{version}.dist-info

%changelog
* Wed Mar 27 2024 ecsos@opensuse.org
- Add %%{?sle15_python_module_pythons}
* Thu Feb 29 2024 steven.kowalik@suse.com
- Switch to autosetup and pyproject macros.
- No more greedy globs in %%files.
* Thu Mar 17 2022 pgajdos@suse.com
- actually does not require python-mock for build
* Tue Dec 14 2021 pgajdos@suse.com
- version update to 0.9.0
  - Adds absolute tolerance feature for floats  (@adrien-berchet) (#152)
  - Drops support of Python<3.5  (@adrien-berchet) (#160)
  - Adds `assert_no_diff` helper to assist pytest users  (@joesolly) (#153)
  - Migrates CI to gh-actions (@ParthS007 @diegodelemos) (#145)
  - Removes dependency on pkg_resources (@eldruin)
- modified patches
  %% lower-reqs.diff (refreshed)
* Sun Jun  7 2020 jayvdb@gmail.com
- Tidy spec, running test suite via pytest directly
* Sat Feb  8 2020 kurt@garloff.de
- Build python-dictdiffer-0.8.1 via py2pack.
- lower-reqs.diff: Allow building with tox >= 2.9 and
  setuptools_scm >= 1.15.
